
From: Christoph Hellwig <hch@lst.de>

Signed-off-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/posix_acl_xattr.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/linux/posix_acl_xattr.h~acl-endianess-annotations include/linux/posix_acl_xattr.h
--- 25/include/linux/posix_acl_xattr.h~acl-endianess-annotations	Thu Jun  9 14:34:34 2005
+++ 25-akpm/include/linux/posix_acl_xattr.h	Thu Jun  9 14:34:34 2005
@@ -23,13 +23,13 @@
 #define ACL_UNDEFINED_ID	(-1)
 
 typedef struct {
-	__u16			e_tag;
-	__u16			e_perm;
-	__u32			e_id;
+	__le16			e_tag;
+	__le16			e_perm;
+	__le32			e_id;
 } posix_acl_xattr_entry;
 
 typedef struct {
-	__u32			a_version;
+	__le32			a_version;
 	posix_acl_xattr_entry	a_entries[0];
 } posix_acl_xattr_header;
 
_
